extern "C" void SMAGold(float* pOut, float* pIn, float fPeriod, long lSize) 
{
	long lPeriod = long(fPeriod);

	float fSum = 0.0;
	for (int i = 0; i < lPeriod; i++)
		pOut[i] = ((fSum = fSum + pIn[i]) / float(i + 1));

	for (int i = lPeriod; i < lSize; i++)
		pOut[i] = ((fSum = fSum - pIn[i - lPeriod] + pIn[i]) / float(lPeriod));
}
